Loading...
Searching...
No Matches
StyleSec Class Reference

StyleSec. More...

`#include <stylesheets.h>`

## Static Public Member Functions

static void | getStyleSheet (QString &stylesheet, const QString &icons_theme, const int &theme_id)
| Provides the requested stylesheet. More...

## Static Private Member Functions

static void | makeStyleSheet (QString &ss, const std::unordered_map< std::string, QString > &style, const QString &theme)
| Builds the final stylesheet upon the generic model. More...

## Detailed Description

StyleSec.

Utilities for the stylesheets

## Member Function Documentation

## getStyleSheet()

void StyleSec::getStyleSheet | ( | QString & | stylesheet,
|  | const QString & | icons_theme,
|  | const int & | theme_id
| ) |  |

static

Provides the requested stylesheet.

Parameters

  stylesheet | Will hold the stylesheet
  icons_theme | The theme selected for the Icons
  theme_id | The theme selected for the Window

## makeStyleSheet()

void StyleSec::makeStyleSheet | ( | QString & | ss,
|  | const std::unordered_map< std::string, QString > & | style,
|  | const QString & | theme
| ) |  |

staticprivate

Builds the final stylesheet upon the generic model.

Parameters

  ss | Will hold the stylesheet
  style | The key-value pairs to be applied at the generic
  theme | The theme selected for the Icons

The documentation for this class was generated from the following files:

- logdoctor/utilities/stylesheets.h
- logdoctor/utilities/stylesheets.cpp